# 技术背景

## 技术栈
- **pnpm:** 用于高效的依赖管理。
- **React:** 用于构建用户界面的核心库。
- **TailwindCSS:** 用于样式设计的 CSS 框架。
- **Quagga2:** 用于从视频流中解码条形码的库。
- **idb:** 一个轻量级的包装库，用于简化 IndexedDB 操作。
- **react-router-dom:** 用于在应用内进行路由和视图管理。

## 开发环境
- **构建工具:** Vite 将被用作构建工具，因为它提供了快速的开发服务器和优化的构建过程。
- **节点版本:** 建议使用最新的 LTS 版本的 Node.js。
- **包管理:** pnpm 将用于安装和管理项目依赖。

## 依赖
- `react`
- `react-dom`
- `@vitejs/plugin-react`
- `vite`
- `tailwindcss`
- `postcss`
- `autoprefixer`
- `@ericblade/quagga2`
- `idb`
- `react-router-dom`
