import { Outlet } from 'react-router-dom';
import BottomNav from './components/BottomNav';

function App() {
  return (
    <div className="flex flex-col h-screen">
      <main className="flex-grow overflow-y-auto">
        <Outlet />
      </main>
      <BottomNav />
    </div>
  );
}

export default App;
